STYLE(1)

NAME
style - analyze surface characteristics of a document

SYNOPSIS
style [ -ml ] [ -mm ] [ -a ] [ -e ] [ -l num ] [ -r num ] [ -p ] [ -P ] file ...

DESCRIPTION
Style analyzes the surface characteristics of the writing style of a document. It reports on readability, sentence length and structure, word length and usage, verb type, and sentence openers. Because style runs deroff before looking at the text, formatting header files should be included as part of the input. The default macro package -ms may be overridden with the flag -mm. The flag -ml, which causes deroff to skip lists, should be used if the document contains many lists of non-sentences. The other options are used to locate sentences with certain characteristics.

-a  print all sentences with their length and readability index.

-e  print all sentences that begin with an expletive.

-p  print all sentences that contain a passive verb.

-lnum
    print all sentences longer than num.

-rnum
    print all sentences whose readability index is greater than num.

-P  print parts of speech of the words in the document.

SEE ALSO
deroff(1), diction(1)

BUGS
Use of non-standard formatting macros may cause incorrect sentence breaks.